MantisBT  Site | Plugring | Plugins API and Macros | Forum | English Forum | Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003337Far ManagerCommand Line/Executepublic2016-10-30 20:062017-08-07 16:01
ReporterNekoKoneko 
Assigned Tozg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003337: Не восстанавливается заголовок консоли, начиная c 4809
DescriptionПри запуске .cmd или .bat файла заголовок не восстанавливается, но только в случае, если видны панели. Если файл запускать при скрытых панелях из командной строки, то заголовок восстанавливается.
Steps To Reproduce
  1. Создать файл test.cmd со следующим содержимым:
    powershell -Command Exit
  2. Запустить его при видимых панелях
  3. После завершения скрипта заголовок останется Windows PowerShell
Если же запускать не cmd-файл, а просто выполнить
powershell -Command Exit
, то заголовок восстанавливается.
Additional InformationВоспроизводится постоянно, начиная с 4809 и по 4830; на 4807 работает правильно. Проверялось на x64 под Windows 7 x64 и Windows Server 2003 x64.
TagsNo tags attached.
Build4831
Attached Filespng file icon before_launch.png [^] (28,923 bytes) 2016-10-30 20:52


png file icon after_launch.png [^] (29,658 bytes) 2016-10-30 20:53

- Relationships

-  Notes
(0014957)
zg (developer)
2016-10-30 20:24

с чистым профилем без плагинов не воспроизводится ни в 4809, ни в 4830.
(0014958)
NekoKoneko (reporter)
2016-10-30 20:47

Удалил папки профиля из AppData\Local и Roaming, удалил Far, вычистил Program Files и заново поставил 4830. Все равно воспроизводится.
Может, дело в версии PowerShell? У меня стоит 4.0 (Windows Management Framework 4.0)
(0014959)
NekoKoneko (reporter)
2016-10-31 09:10

Воспроизводится также под Windows Server 2012 R2 x64 с чистым профилем
(0014962)
DrKnS (administrator)
2016-10-31 11:24

> Не восстанавливается заголовок консоли, начиная c 4809
> Воспроизводится постоянно, начиная с 4809 и по 4830; на 4807 работает правильно.

Я понимаю, что на странице ночных сборок после 4807 идёт 4809, но, говорят, теоретически там встречаются ещё какие-то натуральные числа.
(0014963)
NekoKoneko (reporter)
2016-10-31 12:38

Собрал 4808 (r14528) - уже не работает. Но если manager.cpp откатить на предыдущую ревизию, то заголовок восстанавливается.
(0014964)
zg (developer)
2016-10-31 17:40

[DBG]: PS C:\path>> $PSVersionTable.PSVersion

Major Minor Build Revision
----- ----- ----- --------
5 0 10586 0

не воспроизводится никак.
(0014965)
NekoKoneko (reporter)
2016-10-31 19:35

Все ясно, в пятой версии PowerShell не меняет заголовок, если запущен из .cmd
Однако, PowerShell я привел только в качестве примера консольной программы, меняющей заголовок на свой. У меня есть еще куча других программ, в том числе самописных, которые меняют заголовок и при выходе не восстанавливают старый. Можете сами попробовать:

using System;
using System.Threading;
class Program
{
    static void Main(string[] args)
    {
        Thread.Sleep(2000);
        string title = Console.Title;
        Console.Title = "Новый заголовок";
        Thread.Sleep(2000);
        //Console.Title = title;
        //Thread.Sleep(2000);
    }
}

Если раскомментировать две последние строчки, то в Far'е заголовок "восстановится". Допустим, в своих программах я это могу сделать, а как быть с другими?
И потом, я уже ранее писал, что невосстановление началось в 4808, а конкретно, с
этой правки. Если manager.cpp откатить на r14527, то проблема уходит.
(0014966)
zg (developer)
2016-10-31 21:56

4831.
(0014968)
NekoKoneko (reporter)
2016-11-01 08:32

Спасибо, можно закрывать.

- Issue History
Date Modified Username Field Change
2016-10-30 20:06 NekoKoneko New Issue
2016-10-30 20:24 zg Note Added: 0014957
2016-10-30 20:47 NekoKoneko Note Added: 0014958
2016-10-30 20:52 NekoKoneko File Added: before_launch.png
2016-10-30 20:53 NekoKoneko File Added: after_launch.png
2016-10-31 09:10 NekoKoneko Note Added: 0014959
2016-10-31 11:24 DrKnS Note Added: 0014962
2016-10-31 12:38 NekoKoneko Note Added: 0014963
2016-10-31 17:40 zg Note Added: 0014964
2016-10-31 19:35 NekoKoneko Note Added: 0014965
2016-10-31 21:56 zg Note Added: 0014966
2016-11-01 08:32 NekoKoneko Note Added: 0014968
2017-08-07 16:01 shmuel Build => 4831
2017-08-07 16:01 shmuel Status new => closed
2017-08-07 16:01 shmuel Assigned To => zg
2017-08-07 16:01 shmuel Resolution open => fixed
2017-08-07 16:01 shmuel Fixed in Version => 3.0



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker